Changes
-------

1.1.5.1 -> 1.1.5.2

- Wrong year on new contributions when using begin of membership date
- Several issues on mass groups adding
- Update German translation

1.1.5 -> 1.1.5.1

- Loop issue on new contributions when using begin of membership date
- Update TCPDF to latest version

1.1.4 -> 1.1.5

- Fixes for PHP 8.4 compatibility
- Members cannot access their invoices/receipts
- Fatal error adding contribution when no type is present
- Fix few typehint issues
- Mass add/remove members from groups
- Use previous begin of membership date for new contributions

1.1.3 -> 1.1.4

- Groups managers can add or list contributions and transactions (from a preference)
- Install from command line
- Improve dashboard
- Activate choice after member creation for groups managers
- Revert PDF member card to previous version, new adaptative one is optional
- Fix PDF footer overlaps
- Notify members when groups managers edit their account
- Preferences socials networks were removed on telemetry update
- Special HTML character are encoded on members search, therefore no results are found
- Begin membership date changes on keyboard browse
- Improve Preferences checks for membership extension/date
- Cannot remove emails from emails management
- Force image crop in preferences does not work
- Display PHP startup messages on error page
- Display max_input_vars configuration on sys info page
- Fix SQL issue with postgres searching on dynamic dates

1.1.2 -> 1.1.3

- Impossible to update database

1.1.1 -> 1.1.2

- Do not display links to public documents page if public pages are not enabled
- Fix info message display on new release
- Fix typehint issues on dynamic fields
- Check for possible null from DB converted to int
- Fix member search on contribution type
- Contributions types and payments types were no longer selected when displaying search parameters
- Fix SQL issue searching on dynamic booleans fields with PostgreSQL
- Fix return types on parameted exports

1.1.0 -> 1.1.1

- Cannot sort transactions on payment type column
- Self subscriptions cannot be stored
- Error on sorting sent mailings
- Error filtering members on status
- Cannot replay a saved search
- Cannot list saved search with "show identifiers" parameters set to false

1.0.4 -> 1.1.0

- Add print logo variable in PDF models
- No longer use unsafe serialization for database storage
- More explicit upgrade warning when already on latest release
- Prevent instance indexation from search engines bots
- Clear old cache at upgrade
- Change MySQL and MariaDB encoding
- Add min size on dynamic fields
- Add amounts on contributions types
- Add region field
- Check if new Galette version is available
- Improve member form display
- Add new specific constant to enable debug mode
- Option to disable social networks on member form/view
- Factorize permissions on core and dynamic fields
- Manage administrative documents
- Allow plugins to provide their own fonts
- Use decimal for all amounts, drop defaults
- Rework PDF footer, fix pagination on attendance sheet
- Fix color for staff members on member cards
- Display first staff members on public lists
- Identify sponsors in members list
- Dispatch contribution into scheduled payments
- Contribution type filter in contributions list
- Menu entry was not always correctly selected
- Add payment type on transactions
- Remove non user related files from configuration folder
- Add monthly contribution membership
- PDF Member card adaptative size
- Fix extra non listed column on filtered members list CSV export

1.0.3 -> 1.0.4

- Cannot access tabs definition on some resolutions
- HTML Email preview shows source
- Fix scrolling in emailing preview's modal
- Few fixes on dependency injection usage
- Number of show member automatically set to "all"
- Groups modification not visually added on member form
- Fix redirection when dynamic file does not exists
- Menu horizontal scroll when name is too long
- Should not select a member as its own parent
- Add preferences footer in replacements

1.0.2 -> 1.0.3

- Logo in mail signature is not shown
- Missing HTML editor for dynamic fields information field
- Update and maintenance pages are no longer working
- Do not throw events on mass edition
- Make cache version dependent
- Check preferences website is valid
- Link to asso website from logo
- Rework UI messages

1.0.1 -> 1.0.2

- Public pages access restriction (CVE-2024-24761)
- Remove useless class from templates and fix social networks search dropdown
- Ensure language is changed when login from cron; closes #1769
- Make replacements icon in PDF Model more visible
- Fix possible issue on group creation
- Fix URL redirection

1.0.0 -> 1.0.1

- Title in members list causes an error
- Cannot enter a new social network name
- Pagination and search on members list broken adding contribution
- Contribution start date overload
- Groups "accordion tree" not opened when a name contains a slash
- open_basedir prevents files in /etc to be read
- Some issues with contribution amount set to 0
- Fatal error with PHP 7.4
- Cron user does not have lang defined

0.9.6.1 -> 1.0.0

- Modern UI
- Major improvements on UI/UX and also responsiveness
- Use of YAML files instead of XML for exports configuration
- New preference to show/hide borders around PDF member cards
- WebP image support
- Removed free search on advanced search
- Check for minimal database version at install
- Resize and crop member picture to a fixed ratio
- Update issues (not defined constants)
- Fatal error when cookie not set after login
- Sort members by status
- Several PHP 8.1 compatibility fixes
- Groups manager cannot edit their own information
- Inconsistent count and display of reminders members
- Minimum PHP version not displayed on compat page
- Simple members can't access their list of contributions
- Contributions mass removal
- Disable inline images in mailings
- Issue editing members with wrong values imported in dynamic choice fields
- Parent group removed when a manager edit a group
- Fix logo size on member card
- Fix timeout using logo on PDF member cards
- Fix dynamic files on contributions and transactions
- Drop required fields on PDF member cards
- Parent group can be lost when a groupmanager edits a group
- Mass add contribution fail if data is missing
- Dynamic contribution fields not rendered on advanced search
- Dynamic contributions choice fields on advanced search fail using postgres
- Several minor issues with RTL languages on PDF generation
- Issues on transactions search with some date formats
- Selected members were not reset creating a new mailing
- Template rendering is now assumed by Twig instead of Smarty
- Use of Fomantic UI framework for whole display
- Update third party libraries
- No longer use atoum (dead project) for testing
- LibreJS compatibility

0.9.6 -> 0.9.6.1
- Fix language detection priority not respected
- No composer platform check
- Fix html2text for php 8
- Fix social networks replacements

0.9.5.2 -> 0.9.6
- Social networks/contact externalization
- Add member number
- Export contributions as CSV
- Drop group name uniqueness at same level
- Add information to display for dynamic fields
- Add preferences for groups manager to edit, create members, edit groups, send mailing and perform exports
- Fix various XSS issues
- Fix possible SQL injection
- Add CSRF protection
- Fix address escaping at display
- Prevent issue creating contribution with an empty amount
- Fix undefined index when locale is missing on system
- Fix issue reusing a saved search from advanced search
- Update translations

0.9.5.1 -> 0.9.5.2
- Update translations
- Work on PHP 8.1 compatibility and tests improvements
- Fix members list issue with titles column displayed
- Fix members list ordering
- Fix missing emails texts insertion
- Drop duplicate check on saved searches
- Fix some silent errors
- Some data were missing checking passwords against personal data
- Fix gateway timeout sending emails with SSL SMTP

0.9.5 -> 0.9.5.1

- Members can manage their children and create new ones (if preference is on)
- Mass contribution add
- Mass edition of dynamic fields
- Add a preference to send emails to member by default
- Add a preference to choose default payment type
- Fix PDF links in emails
- Replace Markitup with Summernote for HTML emails
- Replace jQuery Cookie with JS Cookie
- Fix address variable in template
- Fix impending reminders
- Fix close expiries
- Adjust members by status charts count
- Fix overlapping menu on mobile
- Prevent installation page access if Galette is already installed
- Fix public list ordering
- Fix contributions ordered on payment type
- Fix new user registration email
- Fix search on dynamic fields
- Fix transactions list display

0.9.4.2 -> 0.9.5

- Fix CVE-2021-21319
- PHP8 compatibility
- Cannot create new members
- Inactive accounts can renew their password
- Error on removing contribution type
- Cannot cascade remove groups
- Ability to order on contributions and transactions ID
- Variables available in emails and PDF are now the same, dynamic fields has been added, ...
- Fix late reminders PDF labels
- Third party dependencies has been updated and cleaned, some for security reasons
- Add dynamic files on contributions and transactions, fixes
- Improve self subscription captcha
- Few fixes on members views
- Fix auto generated logins that contains `@`
- Change some database fields so they can store more characters
- dependency management system has been changed

0.9.4.1 -> 0.9.4.2
- Issues on mailing instantiation, in core and plugins
- Fix issues on mailings attachments
- Post contribution script was called too early
- Fix cards colors on new installations
- First and last name were inverted in core PDF member card
- Print logo was the one used, but not the one displayed in preferences

0.9.4 -> 0.9.4.1

- Many improvements on string translations (add support for plurals, contexts and comments
- Use events to send administrative emails (account creation, edition, contribution added)
- Many locales updates thanks to Weblate translators!
- Fix displayed version number
- Missing “Next” button in members dynamic dropdown
- Error creating dynamic field with empty name
- Pagination was missing on public pages
- Fix reminders wrong count
- Members cannot print their own cards
- Fix direct links to download documents
- Fix compagnies/natural persons graph
- Do not notify member on contribution change
- Cannot print labels or change members in mailings
- Fix search on dates in contributions list
- Unable to unset booleans on mass change
- Unable to unset booleans on dynamic fields
- Captcha issue on self subscription page
- Wrong JS action in mailings
- SQL error on invoices/receipt direct download
- Issues with images in dynamic files
- Fix several issues sending reminders
- Change log in URL
- Do not display inactive members as late
- Fix several issues in distributed archive (remove symlinks, fix tar format, …)

0.9.3.1 -> 0.9.4

- Configurable password security enforcement (on strength, blacklist, ...)
- Import dynamic fields from CSV
- Handle already encrypted passwords on imports
- Manage members list displayed fields
- Emit events when members, contributions or transactions are added, edited or removed (thanks to Nicolas B.)
- Add direct download links to member card, invoice/receipt in sent emails
- Advanced search on groups with AND/OR (experimental)
- Handle RTL on PDF
- Administrative emails can now be translated in all available languages (and are present on translation platform)
- Offer last months when using beginning of membership date (thanks to Manuel H.)
- Members can print their own invoices/receipts (thanks to Nicolas B.)
- Improve routes ACLs to support regular expressions
- Rely on GulpJS and NPMJS to handle Javascript dependencies
- Send member and contribution IDs to post script
- Switch to Laminas
- Rework routes using controllers
- Fix member card with PHP 7.4
- Fix contribution PDF on some cases (thanks to Manuel H.)
- Fix date calculation issue with new contributions types
- Fix wrong value in history creating new member
- Several fixes on CSV imports
- Fix some issues using MySQL
- Fix inconsistent data duplicating member
- Can use members deadline on PDF card instead of year

0.9.3 -> 0.9.3.1

- Use new icons in titles management
- Ensure PHP 7.4 is supported
- Handle properly and test sequences in PostgreSQL for titles, payment types, PDF models, texts and fields categories
- Fix Telemetry from PostgreSQL instances
- Fix dynamic translations removal
- Check for session extension presence
- Redo multiple status selection in advanced search
- Fix user search by nickname in dropdowns

0.9.2.1 -> 0.9.3

News
^^^^

- new translations has been added!
- galette translations (https://hosted.weblate.org/projects/galette) are now done on weblate platform
- save searches
- ability to use several admins email addresses from preferences
- send a mail to admins when a member edit his card
- flexible redirect after member creation.
- add current date variable (DATE_NOW) in PDF models

Bugfixes
^^^^^^^^

- fix translation issue on members page fieldsets
- fix dynamic date fields check
- fix blank page at install on some environments
- fix javascript escaping on mailings
- fix groups members removal error
- fix pagination on trombinoscope
- fix logo path on some web server configurations
- dynamic fields order was not stored
- various fixes related to new dropdowns
- add missing date fields changes on mysql
- missing date selectors on advanced search and dynamic fields
- fix PDF extension and content type
- fix upper case removal from composed names
- remove company name when checkbox is unchecked
- fix call from wrong object in mailing
- reply-to in preferences was not used
- fix issues with HTTP 2.0 servers
- use PDF models header and footer on emargement lists

0.9.2 -> 0.9.2.1

- remove all routes translations
- fix saving Galette URL in preferences
- fix dynamic menus in contributions
- rename locale file to prevent fatal error
- fix required fields editing member
- fix member id in new members dropdowns
- fix use of selected contribution adding a transaction
- fix wrong redirection
- rework installer required extensions and php version detection from installer
- php dependencies are now checked frequently
- fix member search in new members dropdowns

0.9.1.2 -> 0.9.2

News
^^^^

- Rework icons
- Search (name, mail, id, ...) in list selecting member in transactions and contribution
- PHP 7.1 or above required
- Use FontAwesome for icons
- Manage payment types
- Do not send password in mails
- Member duplication
- Add a parameter for default account filter
- Translation system has been reworked, and now requires intl PHP extension
- Display managers/members count in groups

Bugfixes
^^^^^^^^

- CSV import dry-run checks have been entirely reworked to fix several problems
- Fix version detection on upgrade
- Better explanations for PDF models variables
- Can add more than 100 years old members
- Fix date range limitation on Birthdate components
- Add birthdate checks on member storage
- Fix date filtering in contributions lists
- Use selected sender information on mailing preview
- Fix sender storage in mail history
- Fix not translated mark on dynamic translations
- Fix 'false' search on dynamic boolean fields
- Mass removal of contributions did not work
- Remove dynamic fields values when dynamic field is dropped
- Fix PostgreSQL update script
- Fix several redirection issues (caused by proxies)
- Make dynamic fields works on PDF form (thanks to Jérôme B.)
- Fix CSV fields configuration
- FIx ACLs inconsistency on dynamic fields

Under the hood
^^^^^^^^^^^^^^

- Use InnoDB everywhere
- Automatic re-send of Telemetry data
- Use Zanata for translations
- Use ZendTranslator
- Update third party libraries

0.9.1.1 -> 0.9.1.2

- Fix uncheck member boolean fields
- Fix member storage when titles are hidden

0.9.1 -> 0.9.1.1

- Fix reverse proxy URL
- Fix not logged redirection
- Fix member groups removed on update

0.9 -> 0.9.1

News
^^^^

- Massive changes of members
- Define a default status for new members in preferences
- Add footer text
- Add German language (many thanks to Arnold W.)
- Sender can now be chosen when sending an email

Bugfixes
^^^^^^^^

- Ensure all PDF models configured are installed
- Take care of history preferences
- Update of dynamic fields now set member modification date
- GPG field was too short
- Fix schema differences between MySQL and PostgreSQL
- Clean extra data from 0.9rc
- Change mail field size to be compliant with standards
- Fix upgrade issues
- Fix contributions end date
- Fix redirection after contribution creation
- Fix dynamic fields on transactions and contributions
- Fix asset paths on some configurations
- Fix admin fields update while modifying member from a non admin account
- Fix dynamic file required when updating a member
- Fix security on member PDF card generation
- Set timeout on RSS feeds to prevent hangs

0.8.3.4 -> 0.9

News
^^^^

- Two steps removal everywhere; with a real confirmation required (not just a JS event)
- Cascade removal of group children
- Change all URLs, translate those ones
- Superadmin can impersonate without know identifiers
- "Responsive" design
- Manage logout delay
- Tests emails parameters from preferences
- Check duplicate emails importing with dry-run mode
- Check status importing with dry-run mode
- Preview attached files from mailing preview
- Select all and invert selection on both beginning and end of lists
- Status are no longer uniques
- Login with email address
- Handle reverse proxies for logs (thanks to Georges R.)
- Autocomplete towns, zipcodes, countries and places of birth
- An example behavior file is provided in config directory
- Display a warning if app is configured to display errors
- Allow "unsecure" SMTP connections (self-signed certificates, ...)
- Set 5.6 as minimal PHP version
- Possibility to only expose "webroot" directory
- Type free search fields (thanks to Guillaume R.)
- Improve fields access control adding new roles (thanks to Guillaume R.)
- Merge admintools plugins features
- Free search on statuses labels
- Better management of fields in free advanced search (thanks to Guillaume R.)
- Display inactive plugins cause
- Send telemetry data and register on website

Bugfixes
^^^^^^^^

- Better handle PDF errors
- Add version number to sessions
- iMissing translation in emails headers
- Duplicate members in list when searching on a group
- Bug in cotisation end date on some cases
- Parent group dropped when child edited from a group manager account
- Drop parent field from fields configuration
- Error sending remaining emails

Under the hood
^^^^^^^^^^^^^^

- Update third party libraries
- Use Slim Framework to manage routing
- Use Composer dependency management to handle third party libraries
- Use PSR2 for coding standards (with comments from PEAR)

0.8.3.3 -> 0.8.3.4

- Fix member card PDF url
- Send images with a one character name
- Fix mailings storage

0.8.3.2 -> 0.8.3.3

- Fix member storage
- Drop extension no longer required

0.8.3.1 -> 0.8.3.2

- Fix minor regression introduced in cd8da6

0.8.3 -> 0.8.3.1

- Fix MySQL 5.7 strict mode issues
- Fix PDF address

0.8.2.3 -> 0.8.3

Bugfixes
^^^^^^^^

- Improvements on groups management
- Fix issues on hidden fields
- Minor display issues
- Fix data types mismatches
- Do not create contributions adding a due free member
- Do not display exempted members that are no longer active on public pages
- Fix required flags on some fields
- Automatically load parent when required even if it has not been configured
- Fix an issue regarding to default MySQL values on some windows configurations

News
^^^^

- Add ASSO_ADDRESS_MULTI pattern on PDF models
- Add patterns for dynamic fields on PDF models
- Add basic adhesion form PDF based on models, which can be overridden using the fullcard plugin
- Add RSS support on news feeds
- Add simple str_replace capability on PDF models
- Retrieve address from parent if member does not have one
- Retrieve email from parent if member does not have one (extended)
- Simple members can now change their own name, gender and title

0.8.2.2 -> 0.8.2.3
- Fix advanced search dynamic fields
- Update Analog library for PHP7 compatibility
- Prevent inactive members to log in
- mbstring is now required

0.8.2.1 -> 0.8.2.2

- Fix select with sortable issue in Firefox
- Fix company field display on edit
- Fix mailing to attached members
- Fix preview display in mailing to attached members
- Typos

0.8.2 -> 0.8.2.1

- Fix issue storing other infos admin

0.8.1 -> 0.8.2

Bugfixes
^^^^^^^^

- Fix database password with '$' char
- Fix plugins upgrade version display
- Fix empty login/passswords generation
- Store members images missing in database
- Fix quoting in pgsql upgrade script
- Remove extra characters on fields translations for csv export
- Exclude donations from due date calculation
- Properly import companies from CSV
- Do not submit advanced search form on group selection

News
^^^^

- Dynamic and configurable member form
- Attach members
- Member number
- Remove old logs files
- Display groups members by member name
- Drop SQLite support
- Export selected group and its sub-groups
- Use current filters to navigate members cards
- Add maintainance mode

Under the hood
^^^^^^^^^^^^^^

- Update 3rd party components (and fix various issues)

0.8 -> 0.8.1

- Add member group to PDF models
- Fix dynamic choices table name
- Fix JS back button adding a contribution
- A bit of cleanup
- Fix fields categories initialization
- Fix dynamic fields file
- Use of PHP traits for File, Picture and CsvIn
- Dynamic fields lists values not shown
- Fix SMTP class not found
- Remove "all" entry for number of rows into preferences
- Fix fields marked repeatable, but not repeatable
- Improve view, mainly for forms
- Fix some invalid HTML
- Fix issues on self subscription page
- Add configurable RSS feed

0.7.8 -> 0.8

Bugfixes
^^^^^^^^

- Gender field cannot be disabled
- Remove SQL NOW() function SQLite does not know
- Display fixes
- Permissions on dynamic fields
- Multiple mails for reminders
- Encoding issues upgrading from 0.6x
- Notices from advanced search

News
^^^^

- Rewrite install and update system
- Relocate data in a common directory
- Combined actions on memberlist from plugins
- Use Logo in PDF models (thanks to Guillaume R.)
- Maximize status and contributions types labels size
- Choose date when filtering contributions
- Filter transactions per date
- IPV6 compatible
- Change error message image (thanks to Daniela D.)
- Order members labels by name and surname
- Configurable 80 chars text mail splitting
- Preview splitted mails
- Display mail addresses in public list for logged in members
- Mail text for donations
- Detect file type if relevant functions are disabled
- Birthdate in advanced search
- Change contribution creation date
- New attached file dynamic fields
- Improved member selection window from groups and others
- Not empty groups removal

Under the hood
^^^^^^^^^^^^^^

- Use Zend_Db 2 instead of version 1
- PHP 5.4 and more recent support

0.7.7 -> 0.7.8
- Add release date on plugins
- Add public pages for plugins

0.7.6.1 -> 0.7.7
- Add attachments to mailings
- Fix login_adh value on import
- Fix bad creation date value on import
- Fix charts types issues
- Fix dynamic transactions fields
- Add amessage when trying to import a member with an unknown status

0.7.6 -> 0.7.6.1
- Wrong member creation date
- Import model cannot be changed
- Fix memberlist CSV export

0.7.5.5 -> 0.7.6
- configurable CSV imports
- filter on non members
- PostgreSQL >= 9.1
- Remove UNSECURE_PASSWORD stuff
- no longer show days remaining for disabled accounts
- staff members cannot change thor own information
- no error was shown when removing a member failed
- pdf member card was looking for logged in user membership

0.7.5.4 -> 0.7.5.5 (2013-10-12)
- Super admin was not able to change some members fields

0.7.5.3 -> 0.7.5.4 (2013-10-06)

- fix a confusion on dynamic fields
- member displayed twice when member of multiple groups with the same parent totally breaks members list under postgres. revert.
- various fixes regarding group management and ACLs
- remove new group button and add group member/manager for non admins/staff
- fix a filtering issue on groups on some cases
- do not try to remove a constraint that does not exists in postgres databases
- restrict tempimages and templates_c directories access from web

0.7.5.2 -> 0.7.5.3 (2013-09-18)
- add group member or manager had disappear
- a member part of two groups with same parent was displayed twice filtering on parent group
- groups managers cannot edit member data
- groups managers cannot display member photo

0.7.5.1 -> 0.7.5.2 (2013-09-11)
- fix a javascript issue adding dynamic field on contributions or transactions
- add login in available reminders replacements
- fix license in two files used for i18n

0.7.5 -> 0.7.5.1 (2013-08-26)
- fix groups PDF blank page
- fis MySQL upgrade script issues
- fix wrong interpreter path in post contribution test script
- mails subjects were too short
- avoid undefined index when running from cron
- improve post contribution JSON data
- fix SQLite install script

0.7.4.5 -> 0.7.5 (2013-08-08)

- fixed empty export csv files export
- fixed missing translation in history
- add reminders text models
- automate reminders sending
- send reminders via cron jobs
- add receipt and invoices for contributions, with customizable models
- post contribution script call (file, get or post), for accounting storage
- mailing now always contains a 'To' field to avoid mail blocking
- amounts and contributions types now available on mail texts
- new date and boolean dynamic fields
- CSS printing override is now possible
- twitter and google+ news has been removed from dashboard

0.7.4.4 -> 0.7.4.5 (2013-07-05)

- fix member removal without confirmation
- update 3rd party libraries

0.7.4.3 -> 0.7.4.4 (2013-06-30)

- fix groups management from member record
- prevent multiple message on delete button
- do not use translated string when editing contributions labels
- improve print stylesheet
- disable member card generation for members that are not up to date

0.7.4.2 -> 0.7.4.3 (2013-06-22)

- contribution type was not correctly selected on second step
- fix SQL error trying to search on multiple choice dynamic fields
- check if language exists when loading texts, avoiding empty results
- do not store overlaping contributions

0.7.4.1 -> 0.7.4.2 (2013-05-11)

- titles, statuses and genders are show as plain text in exports
- fix public members list pagination
- fix advanced search issue on contribution end dates

0.7.4 -> 0.7.4.1 (2013-05-01)

- tmp password too short
- fix HTML issue on contribution end date in advanced search
- reminders was sent to everyone
- filtered member list CSV export was not limited to members table fields
- fix various issues on filtered memberslist CSV export under MySQL
- reimplement less secure password storage method for old PHP versions (Debian Squeeze)
- titles in members table must be set as NOT NULL
- required but missing PHP modules were not displayed
- check for PHP mcrypt module at install time
- query for advanced search was not displayed if there were no results
- SQL issues on some advanced searches
- fix minor bugs in preferences pages
- while updating existing database, miss were taking 3rd sex
- issues regarding false booleans under PostgreSQL
- mailings in progress were no longer detected
- change default CSV separator (as Excel does not seems to like commas)
- filtered list CSV export did not take care of filter
- download URL after an export was incorrect
- rewrite fields configuration initialization and check
- do not show remove button on not removable titles
- bad column type for fields visibility under PostgreSQL
- fix required but disabled fields
- SQL issues at install under MySQL
- long title were incorrect under MySQL

0.7.3.2 -> 0.7.4 (2013-02-23)

- titles management
- search members from their contributions
- export filtered members list as CSV
- SQLite support
- improved password storage
- existing exports removal
- separate first and last name in mailings texts
- browse members in edition mode
- order contributions and transactions list by date descending
- charts generation
- PDF list of members by groups
- display information on members state of dues
- do not remove non member status
- end of membershop date was incorrect if all members contributions has been removed
- unable to remove a member
- improve contirubtions interface if non member exist
- logged users information are now available for plugins
- dynamic fields values were not stored from self subscription
- lost password mail could only use HTTP, not HTTPS
- retrieve required fields configuration updating from 0.7.3

0.7.3.1 -> 0.7.3.2 (2013-01-19)

- managed but non member groups were not displayed
- password were reset on member edition
- add payment type on contribution initialization

0.7.3 -> 0.7.3.1 (2013-01-05)

- installation freezes
- captcha image was not displayed
- improved validation on fields management

0.7.2.9 -> 0.7.3 (2013-01-01)

Changes and additions
^^^^^^^^^^^^^^^^^^^^^

- fix dynamic fields translations
- login and password can now be marked as not required
- fields visibility configuration
- advanced search
- non existant dynamic translations are now created
- public pages pagination

Under the hood
^^^^^^^^^^^^^^

- replace logger

0.7.2.7 -> 0.7.2.8 (2012-12-19)
- major improvement on members lists

0.7.2.6 -> 0.7.2.7 (2012-12-14)
- groups members management was not available for managers
- various issues regarding member's language
- minor log issue

0.7.2.5 -> 0.7.2.6
- members selection from a new mailing
- clear transactions filters
- zipcode now does appear on members cards
- fix various PHP notices

0.7.2.4 -> 0.7.2.5 (2012-12-07)
- PostgreSQL 8.4 compatibility

0.7.2.3 -> 0.7.2.4 (2012-12-05)
- plugins database instantiation issue

0.7.2.2 -> 0.7.2.3 (2012-12-04)
- prevent empty groups loading
- list groups with PostgreSQL 8.4

0.7.2.1 -> 0.7.2.2 (2012-11-21)

- group filtering now search into first childs

0.7.2 -> 0.7.2.1 (2012-11-19)

- text dynamic fields were repeated undefinitely
- choice dynamic fields were repeated undefinitely under MySQL

0.7.1 -> 0.7.2 (2012-10-29)

- rewrite dynamic fields in an object,
- improve dynamic fields interface
- properly detect curl module at install time
- display URLs and mails in dynamic fields as hyperlinks
- add a button to quickly send reminders to late members

0.7.0 -> 0.7.1 (2012-10-06)

Changes and additions
^^^^^^^^^^^^^^^^^^^^^

- groups filtering
- improve installation tests
- add a demo mode
- fix html to text mailing conversion
- possibility to override disabled fields
- redesign installation pages
- check plugin compatibility
- improve transaction display
- add system information page
- some fields were too short
- filter on company name
- limit staff statuses to only one member
- fix entered dates i18n
- improve IE8 display
- fix transparent logo, and with unsupported format
- fix plugins menu incorrect path
- fix plugins activation/deactivation refresh issue
- now really uses mail() function
- improve password reminder page
- fix members list cotisations status ordering
- fix dynamic fields display issues
- some fields must not be marked as required
- fix name filtering issues

Under the hood
^^^^^^^^^^^^^^

- improve internal logger
- autoload classes (and now uses php namespaces)
- upgrade to phpMailer 5.2.1
- Smarty 3

0.64 -> 0.7.0 (2012-02-21)

Changes and additions
^^^^^^^^^^^^^^^^^^^^^

- full redesign
- interface written with HTML5 / CSS3
- new history management
- mailings history and management
- groups management
- add a dashboard (which displays latest news from the project
- public pages (members list en trombinoscope)
- handle plugins (see available plugins at https://doc.galette.eu/en/master/plugins/index.html)
- CSV export of selected tables and/or parameted requests (https://mail.gna.org/public/galette-devel/2009-02/msg00006.html)
- required fields management for members add/edition
- multilingual management for subjects and messages automatically send from Galette (subscription, password lots, ...)
- members statuses management
- contributions types management
- rewrite of transactions management
- rewrite mailing interface
- JQuery UI integration to enhance user experience (menus, tabs, date/color pickers, ...)
- print membership cards
- ...

Removals
^^^^^^^^

- no longer IE6 and IE7 support
- remove spanish translation (no longer maintained :'()

Under the hood
^^^^^^^^^^^^^^

- PHP 5.3 and more recent support
- code mainly rewritten OOP
- use of PEAR::LOG
- use of Zend_Db to manage database access instead of AdoDB
- phpMailer for emails sending (https, gmail, etc. support)
- make database relational

0.63.3 -> 0.64rc1 (2010-02-22)
- Handle 'stripos' missing function to keep 0.63.x php4 compliant
- Upgrade Adodb to 4992
- Upgrade to Smarty 2.6.22, and replace old hack for translations with more elegant plugin
- Replace phppdflib with tcpdf
- Symlink to adodb has been removed, we now use a php file defining the versions for the libraries
- Improved pagination: only 20 pages will appear now, instead of all pages
- Remove spanish language which has not been maintained for ages
- Use UTF-8 for translation files
- Fix a bug calculating end membership date when using beginning date for membership in the preferences
- Remove not functional and not used "public" pages
- Remove unused files
- Handle 'mb_strtoupper' to avoid error on labels generation when mb extension is not present
- Move config file from includes to config directory. Write access on includes directory will no longer be required at install
- Only super-admin can change its login/password now. Standard admins can no longer do that

0.63.2 -> 0.63.3 (2009-11-09)
- fix a security flaw that allowed attacker to send arbitrary PHP files on some servers
- when sending invalid member form, line dynamic fields were repeated (bug #10187)
- some encoding issues has been noticed on UFT-8 MySQL servers. Connection is now forced to LATIN1 (thanks to Cédric)
- unbreakable spaces appears on non html email (thanks to Cédric OLIVIER)
- using XML characters in mailing subjects causes XML analysis errors on preview (bug #14571)
- needless data were stored into logs (and not at the right place) sending mailings (bug #14569)
- XML analysis errors where thrown on logs page when a member card contains reserved characters (bug #14561)
- html tags in mailing were not showed while previewing a mailing under Firefox (bug #14465)

0.63.1 -> 0.63.2
- membership's deadline was incorrect for a fiscal year (bug #13010)
- donations didn't appear in the right color in the table (bug #13009)
- history entries when adding or editing a contribution did not contains member's login - as when adding/editing a member (bug #13011)
- on windows, some characters were incorrectly interpreted - ¿\n¿ for example (bug #14162)
- when saving a picture (PNG format), alpha channel was not saved, causing image to get a default background color (bug #14327)
- restrictions showing pictures (since 0.63.1) prevents custom logo to display correctly (bug #14442)
- when editing member's language, current session was also translated (bug #14443)
- some characters - like simple quotes - were badly encoded mailings subjects (bug #14449)
- mail sending were always active, even if disabled in preferences (bug #14450)


0.63 -> 0.63.1
- some preferences were not updated at install time
- on some web hosting services, exif functions are not available. In this case, we use GD (bug #12836)
- XHTML was sometimes not well formed, due to PHP sessions (bug #13071)
- fix PHP notices in the logs (patch #1133)
- remove of posix functions which are deprecated in PHP 5.3
- add of a .htaccess file to prevent read of uploaded photos from the web

0.62 -> 0.63
- Project leader change :-)
- Added transactions management
- Added dynamic field management, to add some extra fields; also added the ability to translate such fields labels
- Members can now self-subscribe
- Use of Smarty template engine for pages generation. This causes complete xhtml compliant rewrite of html pages
- Upgrade from ADODB 4.7.1 to 4.9.2
- Use of gettext possibilities for translations
- Added spanish translations (all translations are not done yet)
- Added the possibility to upload a custom logo
- Fixes numerous bugs

0.62a -> 0.62.2
- change adodb framework due to security alert :
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0410
- use x.y.z naming convention (0.62a == 0.62.1)

0.62 -> 0.62a
- correct bug #590 : date before 1970 [Frédéric Jacquot]
- Typos fixed [Roland Telle]
- replace logo by new one [Frédéric Jacquot]
- add an empty config.inc.php [Loïs Taulelle]

0.61 -> 0.62

- More documentation
- Typos fixed
- Recoded the html_entity_decode() function to preserve compatibility with pre-4.3 PHP
- Defined a maxsize for the text fields (preferences)
- First version of the Upgrade documentation using a Linux shell (in French)
- Font size for table headers defined
- "Update complete" string translated
- Errors on DROP and RENAME operations can now be safely be ignored
- Structure of the 'preferences' table enhanced
- Font size defined for form labels
- Bugfix concerning a call to imagegif when the function wasn't available (reported by Vincent Bossuet)
- Fixed a bug reported by Lois Taulelle. Membership ending date wasn't updated when removing the "Freed of dues" attribute
- Added the possibility to be visible or not in the members list (if you want to list members outside from Galette). Courtesy of Stephane Sales
- Removed many PHP warnings (Galette should be running fine when error_reporting = E_ALL)
- The log can now be sorted

O.60 -> 0.61

- Bugfix in member edition form (admin)
- Merged ajouter_adherent.php and gestion_contributions.php (member edition)
- Table prefixes are now allowed
- Removed all eval() functions (potentially dangerous)
- Picture resizing if GD is available
- HTML equivalents in members' names were badly displayed
- Go back to the member's contributions after adding one
- "1 days left" was not correct ;)
- Date filter added in contribution listing
- Correction of a few spelling mistake
- Navigation links when on a member's contributions list added
- Clicking on a member's name in the contributions list shows his
  contributions instead of his profile
- Lost password recovery added
- Removed the Galette acronym meaning
- Header corrections
- Better language file detection
- Bugfix in thumbnail display
- DROP permission wasn't checked during install process
- English translation
